function [ FirmwareVersion ] = crsLiveTrackGetFirmwareVersion
% CRSLIVETRACKGETFIRMWAREVERSION This function returns the crsLiveTrack MATLAB
% Toolbox Firmware Version.
% No input parameters required.
% -------------------------------------------------------------------------
%
% MATLAB Syntax
% =============
% [ FirmwareVersion ] = crsLiveTrackGetFirmwareVersion
%
% Return values
% =============
% FirmwareVersion - An integer representing the MATLAB Toolbox Firmware Version Number 
%
% History:
% 09/2017   JT Created  
%
%% Access the Toolbox Constants and Return Firmware Version

% Access Toolbox Constants
global CRS;

% Return Firmware Version
FirmwareVersion = crsLiveTrack(CRS.mexGetFirmwareVersion);
