% Load eyetracking parameter constants

global CRS;

% Startup folder constants
CRS.mexInit = 0;
CRS.mexClose = 1;
CRS.mexSetResultsType = 2;
CRS.mexStartTracking = 3;
CRS.mexStopTracking = 4;
CRS.mexGetResultsCount = 5;
CRS.mexGetResults = 6;
CRS.mexClearDataBuffer = 7;
CRS.mexGetLibVersion = 8;
CRS.mexCalibrateDevice = 9;
CRS.mexSetCalibration = 10;
CRS.mexGetCalibration = 11;
CRS.mexSetPupilCalibration = 12;
CRS.mexGetPupilCalibration = 13;
CRS.mexSetTracking = 14;
CRS.mexGetTracking = 15;
CRS.mexGetSerialNumber = 16;
CRS.mexGetFirmwareVersion = 17;
CRS.mexGetFirmwareBuildDateTime = 18;
CRS.mexSaveCalibration = 19;
CRS.mexLoadCalibration = 20;
CRS.mexGetCalibrated = 21;
CRS.mexGetPupilCalibrated = 22;
CRS.mexGetTrackingStarted = 23;
CRS.mexGetCaptureConfig = 24;

CRS.mexVideoStartRecord = 25;
CRS.mexVideoStopRecord = 26;

CRS.mexSetViewingDistanceMM = 27;
CRS.mexDeleteRegion = 28;
CRS.mexGetRegionCount = 29;
CRS.mexGetActiveRegion = 30;
CRS.mexClearAllRegions = 31;
CRS.mexAddRegion = 32;
CRS.mexSetCameraScreenDimensions = 33;
CRS.mexCreateCameraScreen = 34;
CRS.mexDestroyCameraScreen = 35;
CRS.mexGetVideoSourceType = 36;
CRS.mexSelectVideoSource = 37;
CRS.mexSetDeviceParameters = 38;

CRS.mexSetDataFilename = 39;
CRS.mexCloseDataFile = 40;
CRS.mexSetDataComment = 41;

% Results type
CRS.raw = 0;
CRS.calibrated = 1;

% Eyetracking results 
CRS.timeStamp = 1;
CRS.resultsType = 2;

CRS.leftPupilX = 3;
CRS.leftPupilY = 4;
CRS.leftGlintX = 5;
CRS.leftGlintY = 6;
CRS.leftGlintX2 = 5;
CRS.leftGlintY2 = 6;
CRS.leftPupilMajorAxis = 7;
CRS.leftPupilMinorAxis = 8;
CRS.leftGazeX = 9;
CRS.leftGazeY = 10;
CRS.leftGazeZ = 11;
CRS.leftGazeElevation = 12;
CRS.leftGazeAzimuth = 13;
CRS.leftGazeLatitude = 14;
CRS.leftGazeLongitude = 15;
CRS.leftTracked = 16;
CRS.leftEnabled = 17;
CRS.leftCalibrated = 18;
CRS.leftDropped = 19;

CRS.rightPupilX = 20;
CRS.rightPupilY = 21;
CRS.rightGlintX = 22;
CRS.rightGlintY = 23;
CRS.rightGlintX2 = 22;
CRS.rightGlintY2 = 23;
CRS.rightPupilMajorAxis = 24;
CRS.rightPupilMinorAxis = 25;
CRS.rightGazeX = 26;
CRS.rightGazeY = 27;
CRS.rightGazeZ = 28;
CRS.rightGazeElevation = 29;
CRS.rightGazeAzimuth = 30;
CRS.rightGazeLatitude = 31;
CRS.rightGazeLongitude = 32;
CRS.rightTracked = 33;
CRS.rightEnabled = 34;
CRS.rightCalibrated = 35;
CRS.rightDropped = 36;

